Subject: Re: gdb and executables, windbg in ms platform sdf
From: [email-masked] (Patrick J. Fay)

28 Jan 1998 19:42:33 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Lothar Werzinger <[email-masked]>
Cc: gnu-win32 Mailinglist <[email-masked]>

Hello Lothar,
coff is the format of the object file . The debug info gdb understands
is 'stabs' I think. This is probably not the format of
the debug info msvc++ puts into its object files.
I think the jan 98 ms platform sdk has a debugger in it.
http://www.microsoft.com/msdn/sdk/platform.htm
What are you trying to accomplish?
Pat
On Wed, 28 Jan 1998, Lothar Werzinger wrote:

> Hi,
> 
> as I got no reply until now, I try to resen this (slightly modified)
> message
> 
> Is it possible to debug executables which were produced by the MSVC++
> (DevStudio 97 Service Pack 2) compiler with gdb? As far as I know, gdb
> supports COFF. but when I load the executable, gdb complains about
> finding no debug information.
> 
> As far as I found out gdb is capable of loading and executing the
> binary. The only thing I would need, is a converter that makes a gdb
> symbol file out of the *.pdb files of the MSVC++ compiler. Has anybody
> written such a program or is doing so? Besides the fact that the .pdb
> files are MS and binary, it should be just a question of demangling the
> MS names and remangle them in a way gdb understands them or?
> 
> Lothar
> --
> 
> KRONES AG
> Hermann Kronseder Maschinenfabrik
> Bayerwaldstrasse 5, 93068 Neutraubling, Germany
> 
> Lothar Werzinger Dipl.-Ing.Univ.
> Dept.  EW
> Phone: +49-(0)9401/70-3499
> Fax:   +49-(0)9401/70-3091
> Email: [email-masked]
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

Patrick Fay, Ph.D., Intel Corp.            email:   [email-masked]
Los Alamos National Lab                    wk:         (505) 665-9141
CTI M.S. B296                              fax:        (505) 667-5921
Los Alamos NM 87545    ASCI-RED http://www.acl.lanl.gov/~pfay/teraflop

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".